<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cn.yyxx.eyuangame.channel.huawei">

    <!-- HMS-SDK引导升级HMS功能，访问OTA服务器需要网络权限 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- 检测网络状态 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- 如果是安卓8.0，应用编译配置的targetSdkVersion>=26，请务必添加以下权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <!-- 应用市场9.0版本必须使用该权限获取用户的服务地 -->
    <uses-permission android:name="com.huawei.appmarket.service.commondata.permission.GET_COMMON_DATA" />
    <!-- Android O版本调用安装需要使用该权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="com.huawei.hwid.permission.gameservice.archive.access.provider" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <queries>
        <intent>
            <action android:name="com.apptouch.intent.action.update_hms" />
        </intent>
        <intent>
            <action android:name="com.huawei.appmarket.intent.action.AppDetail" />
        </intent>

        <intent>
            <action android:name="com.huawei.hms.core.aidlservice" />
        </intent>
        <intent>
            <action android:name="com.huawei.hms.core" />
        </intent>

        <package android:name="com.hisilicon.android.hiRMService" />
    </queries>

    <application android:allowBackup="true">
        <!-- agconnect core -->
        <provider
            android:name="com.huawei.agconnect.core.provider.AGConnectInitializeProvider"
            android:authorities="${applicationId}.AGCInitializeProvider"
            android:exported="false" />

        <service
            android:name="com.huawei.agconnect.core.ServiceDiscovery"
            android:exported="false" >
            <meta-data
                android:name="com.huawei.agconnect.api.ApiServiceRegistrar"
                android:value="com.huawei.agconnect.core.ServiceRegistrar" />
            <meta-data
                android:name="com.huawei.agconnect.auth.AuthServiceRegistrar"
                android:value="com.huawei.agconnect.core.ServiceRegistrar" />
            <meta-data
                android:name="com.huawei.agconnect.credential.CredentialServiceRegistrar:100"
                android:value="com.huawei.agconnect.core.ServiceRegistrar" />
        </service>
        <!-- agconnect core -->

        <!-- Componentverifysdk -->
        <meta-data
            android:name="componentverify_ag_cbg_root"
            android:value="@string/ag_sdk_cbg_root" />
        <!-- Componentverifysdk -->

        <!-- HMSSdkAvailableUpdate -->
        <meta-data
            android:name="availableLoaded"
            android:value="yes" />

        <provider
            android:name="com.huawei.hms.update.provider.UpdateProvider"
            android:authorities="${applicationId}.hms.update.provider"
            android:exported="false"
            android:grantUriPermissions="true" />
        <!-- HMSSdkAvailableUpdate -->

        <!-- HMSSdkBase -->
        <meta-data
            android:name="com.huawei.hms.client.service.name:base"
            android:value="base:6.3.0.303" />

        <meta-data
            android:name="com.huawei.hms.min_api_level:base:hmscore"
            android:value="1" />
        <!-- HMSSdkBase -->

        <!-- HMSSdkDevice -->
        <provider
            android:name="com.huawei.hms.device.provider.CheckHmsProvider"
            android:authorities="${applicationId}.hms.device.validate.spoofprovider"
            android:exported="false"
            android:grantUriPermissions="false" />
        <!-- HMSSdkDevice -->

        <!-- HMSSdkUI -->
        <activity
            android:name="com.huawei.hms.activity.BridgeActivity"
            android:configChanges="orientation|locale|layoutDirection|fontScale|screenSize|smallestScreenSize|screenLayout|uiMode"
            android:excludeFromRecents="true"
            android:exported="false"
            android:hardwareAccelerated="true"
            android:screenOrientation="behind"
            android:theme="@style/Base_Translucent">
            <meta-data
                android:name="hwc-theme"
                android:value="androidhwext:style/Theme.Emui.Translucent" />
        </activity>
        <activity
            android:name="com.huawei.hms.activity.EnableServiceActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout"
            android:exported="false" />
        <!-- HMSSdkUI -->

        <!-- Update -->
        <activity
            android:name="com.huawei.updatesdk.service.otaupdate.AppUpdateActivity"
            android:configChanges="orientation|screenSize"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <meta-data
                android:name="hwc-theme"
                android:value="androidhwext:style/Theme.Emui.Translucent.NoTitleBar" />
            <meta-data
                android:name="hnc-theme"
                android:value="androidhnext:style/Theme.Magic.Translucent.NoTitleBar" />
        </activity>
        <activity
            android:name="com.huawei.updatesdk.support.pm.PackageInstallerActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <meta-data
                android:name="hwc-theme"
                android:value="androidhwext:style/Theme.Emui.Translucent" />
            <meta-data
                android:name="hnc-theme"
                android:value="androidhnext:style/Theme.Magic.Translucent" />
        </activity>

        <provider
            android:name="com.huawei.updatesdk.fileprovider.UpdateSdkFileProvider"
            android:authorities="${applicationId}.updateSdk.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true" />
        <!-- Update -->

        <!-- Apptouch -->
        <meta-data
            android:name="com.huawei.hms.min_api_level:apptouch:apptouch"
            android:value="1" />
        <!-- Apptouch -->

        <!-- Hmssdk-game -->
        <meta-data
            android:name="com.huawei.hms.client.service.name:game"
            android:value="game:6.1.0.301" />

        <service
            android:name="com.huawei.hms.jos.games.service.GameService"
            android:exported="true">
            <intent-filter>
                <action android:name="com.huawei.hms.games.service" />
            </intent-filter>
        </service>

        <provider
            android:name="com.huawei.hms.jos.games.archive.ArchiveRemoteAccessProvider"
            android:authorities="${applicationId}.hmssdk.jos.archive"
            android:exported="true" />

        <activity
            android:name="com.huawei.appmarket.component.buoycircle.impl.delegete.BuoyBridgeActivity"
            android:configChanges="orientation|locale|screenSize|layoutDirection|fontScale"
            android:excludeFromRecents="true"
            android:exported="false"
            android:hardwareAccelerated="true"
            android:theme="@android:style/Theme.Translucent">
            <meta-data
                android:name="hwc-theme"
                android:value="androidhwext:style/Theme.Emui.Translucent" />
        </activity>

        <meta-data
            android:name="com.huawei.hms.jos.versioncode"
            android:value="60100301" />
        <!-- Hmssdk-game -->

        <!-- iap -->
        <meta-data
            android:name="com.huawei.hms.client.service.name:iap"
            android:value="iap:6.3.0.300" />
        <!-- iap -->

        <activity
            android:name="com.huawei.hms.hwid.internal.ui.activity.HwIdSignInHubActivity"
            android:configChanges="fontScale|uiMode"
            android:excludeFromRecents="true"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" >
        </activity>
        <activity
            android:name="com.huawei.hms.account.internal.ui.activity.AccountSignInHubActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" >
        </activity>

        <!-- 切记同步修改 HuaweiIdAuthInternalConstant.HMS_SDK_VERSION -->
        <meta-data
            android:name="com.huawei.hms.client.service.name:hwid"
            android:value="hwid:6.3.0.300" />
        <meta-data
            android:name="com.huawei.hms.min_api_level:hwid:hwid"
            android:value="1" />

        <!-- 5.3.0 独立授权依赖的api_level为11 -->
        <!-- 5.3.0 setCarrierId依赖的api_level为13 -->
        <meta-data
            android:name="com.huawei.hms.min_api_level:hwid:account"
            android:value="13" />

        <meta-data
            android:name="com.huawei.hms.client.channel.androidMarket"
            android:value="false" />

        <meta-data android:name="com.huawei.hms.client.appid" android:value="appid=105116483"/>

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

    </application>

</manifest>